﻿section.home-tagline-section {
  background: var(--main-bg-color);
  background: linear-gradient(180deg, var(--main-bg-color) 0%, var(--main-bg-second-color) 100%);
}
section.home-tagline-section .header {
  width: 840px;
}
section.home-tagline-section .container-wrapper{
  background-image: url("../images/top-graphics.png");
  background-repeat: no-repeat;
  background-position-x: 680px;
  background-size: 620px 610px;
}
section.home-tagline-section .home-tagline-content-container {
  display: flex;
  max-width: 1280px;
  margin: 0 auto 0;
}
section.home-tagline-section .home-tagline-content-container .home-tagline-text-container {
  width: 880px;
  margin-right: 50px;
  display: flex;
  flex-direction: column;
  gap: 40px;
}
section.home-tagline-section .home-tagline-content-container .home-tagline-text-container .center-image{
  display: none;
}

section.home-tagline-section .home-tagline-content-container .home-tagline-description {
  display: flex;
  flex-direction: column;
  gap:40px;
}
section.home-tagline-section .home-tagline-content-container .home-tagline-description .tagline-button{
  padding-top:40px;
  width: fit-content;
}


section.home-tagline-section .home-tagline-content-container .home-tagline-description .caption-text {
  width: 80%;
}

section.home-tagline-section .home-tagline-content-container .home-tagline-description .learn-more-text {
  width: 60%;
}

section.home-tagline-section .home-tagline-content-container .home-tagline-description div.learn-more-link {
  filter: drop-shadow(0px 3px 0px var(--main-btn-alt-shadow));
}
section.home-tagline-section .home-tagline-content-container .home-tagline-description div.learn-more-link:hover {
  filter: drop-shadow(0px 3px 0px var(--main-btn-alt-shadow-hover));
}

@media (min-width: 1440px) {
  section.home-tagline-section {
    padding: 96px 0;
  }
}

@media (min-width: 1280px) and (max-width: 1439px) {
  section.home-tagline-section {
    padding: 96px 0;
  }
  section.home-tagline-section .container-wrapper{
    background-position-x: 665px;
    background-size: 620px 610px;
  }
  section.home-tagline-section .header {
    width: 640px;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-text-container{
    width:810px;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-description .caption-text{
    width: 640px;
  }
}

@media (min-width: 1024px) and (max-width: 1279px) {
  .home-tagline-section {
    padding: 96px 0; 
  }
  section.home-tagline-section .container-wrapper{
    background-position-x: 535px;
    background-size: 620px 610px;
  }
  
  section.home-tagline-section .header{
    width:600px;
  }

  section.home-tagline-section .home-tagline-content-container .home-tagline-text-container {
    width:600px;
    gap:24px;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-description .caption-text{
    width:540px;
  }
}

@media (min-width: 768px) and (max-width: 1023px) {
  section.home-tagline-section {
    padding: 48px 0;
  }
  section.home-tagline-section .container-wrapper{
    background-position-x: 400px;
    background-size: 496px 490px;
    background-position-y: 70px;
  }
  section.home-tagline-section .header{
    width:600px;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-description {
    gap:0;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-text-container{
    margin-right: 0;
  }

  section.home-tagline-section .home-tagline-content-container .home-tagline-description .caption-text{
    width:385px;
  }
}
@media (max-width: 767px) {
  section.home-tagline-section .home-tagline-content-container .home-tagline-text-container {
    margin-right: 0;
    padding: 16px 0 16px 0;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-text-container .center-image{
    display: block;
    background-image: url("../images/top-graphics.png");
    height: 60vw;
    background-size: 100%;
    background-repeat: no-repeat;
  }
  
  section.home-tagline-section .container-wrapper{
    background: none;
  }
  
  section.home-tagline-section .header {
    width: auto;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-description {
    gap: 0;
  }
  section.home-tagline-section .home-tagline-content-container .home-tagline-description .tagline-button {
    padding-top: 16px;
    width:auto;
  }
  
  section.home-tagline-section .home-tagline-content-container .home-tagline-description div.learn-more-link{
    width:auto;
    text-align: center;
    padding: 8px 16px;
  }
}

@media (min-width: 375px) and (max-width: 1023px) {
  .home-tagline-section {
    height: auto; } 
}

/*------ Services  section -------*/
section.home-services-section {    
  background: var(--main-bg-color);
  background: linear-gradient(0deg, var(--main-bg-color) 0%, var(--main-bg-second-color) 100%);
}

section.home-services-section .container-wrapper{
  background-repeat: no-repeat;
  background-size: 400px;
  background-position-x: 100%;
}

section.home-services-section .home-services-container{
  display: flex;
  flex-direction: column;
  gap: 48px;
}

section.home-services-section .home-services-container .services-image-container {
  width: 10px;
  height: 10px;
  flex-grow: 1;
}

section.home-services-section .home-services-container .services-image-container img{
  height: auto;
  margin-left: 100px;
  width: 100%;
  margin-top: -120px;
}


section.home-services-section .home-services-container .service-offers{
  display: flex;
  flex-basis: 40%;
  gap:30px;
}
section.home-services-section .home-services-container .service-offers .info-block{
  width: 450px;
}

section.home-services-section .home-services-container .service-activities{
  display: flex;
  flex-wrap: wrap;
  gap: 32px;
}

section.home-services-section .home-services-container .service-activities .info-block{
  width: 335px;
}

@media (min-width: 1440px){
  section.home-services-section .container-wrapper{
padding:0 60px;
  }
}

@media (min-width: 1280px) and (max-width: 1439px) {
  section.home-services-section .container-wrapper{
    background-position-x: 870px;
  }
  section.home-services-section .home-services-container .service-offers .info-block{
    width: 380px;
  }
  section.home-services-section .home-services-container .services-image-container img {
    height: 493px;
    margin-left: -50px;
    width: 500px;
    margin-top: -150px;
  }
  section.home-services-section .home-services-container .service-activities .info-block {
    width: 300px;
  }
}
@media (min-width: 1024px) and (max-width: 1279px) {
  .services-offers-header{
    width: 650px;
  }

  section.home-services-section .container-wrapper {
    background-position-x: 718px;
    background-position-y: 20px;
  }

  section.home-services-section .home-services-container .service-offers .info-block {
    width: 365px;
  }
  

  section.home-services-section .home-services-container .services-image-container img {
    height: auto;
    margin-left: -10px;
    width: 503px;
    margin-top: -120px;
  }
  section.home-services-section .home-services-container .service-activities {
    gap: 16px;
  }
  section.home-services-section .home-services-container .service-activities .info-block {
    width: 245px;
    flex-grow: 1;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  .services-offers-header{
    width: 484px;
  }
  section.home-services-section .container-wrapper {
    background-position-x: 460px;
    background-position-y: -32px;
    padding-top: 20px;
  }
  section.home-services-section .home-services-container .service-offers .info-block {
    width: 350px;
  }
  section.home-services-section .home-services-container .services-image-container img {
    height: 402px;
    margin-left: 0;
    width: 410px;
    margin-top: -155px;
  }
  section.home-services-section .home-services-container .service-activities {
    gap: 16px;
    justify-content: space-evenly;
  }
  section.home-services-section .home-services-container .service-activities .info-block {
    width: 295px;
    height: 208px;
    flex-grow: 1;
  }
}
@media (max-width: 767px) {
  section.home-services-section .home-services-container {
    gap: 24px;
    padding: 64px 0 16px 0;
  }
  section.home-services-section .container-wrapper {
    background-size: 196px;
    background-position-x: right;
  }
  section.home-services-section .home-services-container .service-offers {
    flex-direction: column;
  }
  .services-offers-header {
    width: 211px;
  }

  section.home-services-section .home-services-container .service-offers .info-block {
    width: auto;
  }
  
  section.home-services-section .home-services-container .service-activities {
    gap: 16px;
    flex-direction: column;
  }

  section.home-services-section .home-services-container .service-activities .info-block {
    width: auto;
  }
  
}
@media (max-width: 380px) {
  section.home-services-section .container-wrapper {
    background-size: 196px;
    background-position-x: 115%;
  }
}


/*------ CLients  section -------*/
section.home-clients-section {
  background: var(--main-bg-color);
  padding-bottom: 80px;
  padding-top: 40px;
}

section.home-clients-section .container-wrapper{
  background-repeat: no-repeat;
  background-size: 500px;
  background-position-x: 105%;
  padding-top: 40px;
  padding-bottom: 80px;
}


section.home-clients-section .container-wrapper .home-clients-container{
  display: flex;
  flex-direction: column;
  gap: 48px;
  width: 800px;
}

@media (min-width: 1280px) and (max-width: 1439px) {
  section.home-clients-section .container-wrapper .home-clients-container{

    width: 700px;
  }
  section.home-clients-section .container-wrapper {
    background-position-x: 810px;
  }

}
@media (min-width: 1024px) and (max-width: 1279px) {

  section.home-clients-section .container-wrapper {
    background-size: 530px;
    background-position-x: 590px;
  }
  section.home-clients-section .container-wrapper .home-clients-container{
    width: 535px;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  section.home-clients-section .container-wrapper {
    background-size: 530px;
    background-position-x: 490px;
    background-position-y: 30px;
  }
  section.home-clients-section .container-wrapper .home-clients-container{
    width: 500px;
  }
}

@media (max-width: 767px) {
  section.home-clients-section .container-wrapper {
    background-size: 170px;
    background-position-x: 110%;
    padding-top: 40px;
    padding-bottom: 0;
    background-position-y: -20px;
  }
  section.home-clients-section {
    padding-bottom: 0;
  }
  section.home-clients-section .container-wrapper .home-clients-container {
    width: auto;
  }
}

/*--------- Home-work section --------*/
section.home-work-section {
  background: var(--main-bg-color);
  background: linear-gradient(180deg, var(--main-bg-color) 0%, var(--main-bg-second-color) 100%);
  padding-bottom: 80px;
  padding-top: 48px;
}

section.home-work-section .container-wrapper{
  background-repeat: no-repeat;
  background-size: 500px;
  background-position-x: 105%;
  background-position-y: center;
}

section.home-work-section .home-work-container{
  display: flex;
  flex-direction: column;
  gap: 48px;
  width: 800px;
}

@media (min-width: 1280px) and (max-width: 1439px) {
  
}
@media (min-width: 1024px) and (max-width: 1279px) {
  
  section.home-work-section .home-work-container {
    width: 600px;
  }
  section.home-work-section .container-wrapper {
    background-position-x: 550px;
    background-position-y: center;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  section.home-work-section .home-work-container {
    width: 500px;
  }
  section.home-work-section .container-wrapper {
    background-position-x: 400px;
  }
  
}

@media (max-width: 767px) {
  section.home-work-section .container-wrapper {
    background-repeat: no-repeat;
    background-size: 190px;
    background-position-x: 105%;
    background-position-y: -15px;
    padding-top: 48px;
  }
  section.home-work-section .home-work-container {
    display: flex;
    flex-direction: column;
    gap: 48px;
    width: auto;
  }
  section.home-work-section {
    padding-bottom: 0;
  }
}

/*------ Technologies  section -------*/
section.home-technologies-section{
  background-color: var(--main-bg-second-color);
  padding: 48px 0 80px 0;
}

section.home-technologies-section .home-technologies-container{
  display: flex;
  flex-direction: column;
  gap: 48px;
}

section.home-technologies-section .home-technologies-container .technologies-header-block{
  display: flex;
  flex-direction: column;
  gap: 48px;
  width: 800px;
}

section.home-technologies-section .home-technologies-container .technologies-items{
  background-color: var(--bg-color-white);
  border-radius: 16px;
  display: flex;
  gap: 40px;
  padding: 32px;
  flex-wrap: wrap;
  align-items: center;
}

@media (min-width: 1280px) and (max-width: 1439px) {
  section.home-technologies-section .home-technologies-container .technologies-header-block {
    
    width: 800px;
  }
}
@media (min-width: 1024px) and (max-width: 1279px) {
  section.home-technologies-section .home-technologies-container .technologies-header-block {
    width: auto;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  section.home-technologies-section .home-technologies-container .technologies-header-block {
    width: auto;
  }
  section.home-technologies-section .home-technologies-container .technologies-items {
    gap: 32px;
  }
}
@media (max-width: 767px) {
  section.home-technologies-section .home-technologies-container .technologies-header-block {
    width: auto;
  }
  section.home-technologies-section .home-technologies-container .technologies-items {
    padding: 32px 16px 32px 16px;
    align-items: center;
    justify-content: center;
  }
  section.home-technologies-section {
    padding-bottom: 0;
  }
}

/*------ Contact section -------*/
section.contact-section {
  background: var(--main-bg-color);
  background: linear-gradient(0deg, var(--main-bg-color) 0%, var(--main-bg-second-color) 100%);
  padding: 80px 0 80px 0;
}

section.contact-section .container-wrapper{
  background-image: url('../images/contacts.png');
  background-repeat: no-repeat;
  background-size: 480px;
  background-position-x: 105%;
}

section.contact-section .container-wrapper .section-content .section-header{
  display:flex;
  flex-direction: column;
  gap:48px;
}

section.contact-section .container-wrapper .section-content .our-contacts-block{
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 720px;
}

section.contact-section .container-wrapper .section-content .contact-form{
width:830px;
}

section.contact-section .container-wrapper .section-content .contact-form .form-buttons .form-button{
  width:auto;
  height: auto;
  padding: 12px 64px;
}


section.contact-section .container-wrapper .section-content .our-contacts-block .contacts-info{
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding: 24px 0;
}


@media (min-width: 1280px) and (max-width: 1439px) {}
@media (min-width: 1024px) and (max-width: 1279px) {
  section.contact-section .container-wrapper{
    background-position-x: 640px;
  }
  section.contact-section .container-wrapper .section-content .our-contacts-block {
    width: 530px;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  section.contact-section .container-wrapper {
    background-position-x: 440px;
    background-size: 420px;
  }
  section.contact-section .container-wrapper .section-content .our-contacts-block {
    width: 494px;
  }
  section.contact-section .container-wrapper .section-content .contact-form {
    width: 100%;
  }
}
@media (max-width: 767px) {
  section.contact-section .container-wrapper {
    background-size: 185px;
    background-position-x: 110%;
    background-position-y: -10px;
    padding-top: 48px;
  }
  section.contact-section .container-wrapper .section-content .our-contacts-block {
    
    width: auto;
  }
  section.contact-section .container-wrapper .section-content .contact-form {
    width: auto;
  }
}


